# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2019-08-09 10:01
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion

def add_classes(apps, schema_editor):
    Student = apps.get_model('school', 'Student')
    for s in Student.objects.all():
        s.classes.add(s.clazz)


class Migration(migrations.Migration):

    dependencies = [
        ('school', '0024_auto_20190423_1524'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='student',
            name='majors',
        ),
        migrations.AddField(
            model_name='clazz',
            name='students',
            field=models.ManyToManyField(related_name='classes', to='school.Student'),
        ),
        migrations.AddField(
            model_name='major',
            name='students',
            field=models.ManyToManyField(related_name='majors', to='school.Student'),
        ),
        migrations.AlterField(
            model_name='clazz',
            name='entrance_session',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='entrance_classes', to='school.Session', verbose_name='\u5165\u5b66\u5c4a\u522b'),
        ),
        migrations.AlterField(
            model_name='clazz',
            name='grade',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='classes', to='school.Grade', verbose_name='\u5e74\u7ea7'),
        ),
        migrations.AlterField(
            model_name='clazz',
            name='graduate_session',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='graduate_classes', to='school.Session', verbose_name='\u6bd5\u4e1a\u5c4a\u522b'),
        ),
        migrations.AlterField(
            model_name='clazz',
            name='name',
            field=models.CharField(db_index=True, max_length=64, verbose_name='\u540d\u79f0'),
        ),
        migrations.AlterField(
            model_name='clazz',
            name='party',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, related_name='school_classes', to='saas.Party', verbose_name='\u56e2\u4f53'),
        ),
        migrations.AlterField(
            model_name='clazz',
            name='primary_teacher',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='primary_classes', to='school.Teacher', verbose_name='\u73ed\u4e3b\u4efb'),
        ),
        migrations.AlterField(
            model_name='clazz',
            name='school',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='classes', to='school.School', verbose_name='\u5b66\u6821'),
        ),
        migrations.AlterField(
            model_name='student',
            name='clazz',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='primary_students', to='school.Clazz', verbose_name='\u73ed\u7ea7'),
        ),
        migrations.AlterField(
            model_name='student',
            name='number',
            field=models.CharField(db_index=True, max_length=32, verbose_name='\u5b66\u53f7'),
        ),
        migrations.AlterField(
            model_name='teacher',
            name='name',
            field=models.CharField(db_index=True, max_length=32, verbose_name='\u59d3\u540d'),
        ),
        migrations.RunPython(add_classes)
    ]
