# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-03-10 22:40
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_szuprefix.utils.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('saas', '0007_auto_20191101_1652'),
    ]

    operations = [
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('detail', django_szuprefix.utils.modelutils.JSONField(verbose_name='\u8be6\u60c5')),
                ('create_time', models.DateTimeField(auto_now_add=True, null=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='survey_answers', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'verbose_name': '\u7b54\u5377',
                'verbose_name_plural': '\u7b54\u5377',
            },
        ),
        migrations.CreateModel(
            name='Survey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='\u6807\u9898')),
                ('content', models.TextField(blank=True, help_text='\u7f16\u8f91\u6307\u5357:\n\u9996\u884c\u4e3a\u6807\u9898.\n\u9898\u76ee\u7528\u963f\u62c9\u4f2f\u6570\u5b57\u52a0\u70b9\u53f7\u5f00\u5934.\n\u9009\u9879\u7528\u82f1\u6587\u5b57\u6bcd\u52a0\u70b9\u53f7\u5f00\u5934.', null=True, verbose_name='\u5185\u5bb9')),
                ('content_object', django_szuprefix.utils.modelutils.JSONField(blank=True, null=True, verbose_name='\u5185\u5bb9\u5bf9\u8c61')),
                ('is_active', models.BooleanField(default=False, verbose_name='\u6709\u6548')),
                ('questions_count', models.PositiveSmallIntegerField(blank=True, default=0, verbose_name='\u9898\u6570')),
                ('target_user_tags', models.CharField(blank=True, help_text='\u7b26\u5408\u6807\u7b7e\u7684\u4eba\u624d\u80fd\u586b\u5199\u95ee\u5377,\u7559\u7a7a\u5219\u6240\u6709\u4eba\u5747\u53ef\u586b\u5199\u4f46\u4e0d\u4f1a\u53d1\u4e2a\u4eba\u901a\u77e5,\u591a\u4e2a\u5e76\u5217\u6807\u7b7e\u4f7f\u7528\u9017\u53f7\u5206\u9694', max_length=255, null=True, verbose_name='\u76ee\u6807\u4eba\u7fa4\u6807\u7b7e')),
                ('target_user_count', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u76ee\u6807\u53c2\u4e0e\u4eba\u6570')),
                ('actual_user_count', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u5b9e\u9645\u53c2\u4e0e\u4eba\u6570')),
                ('begin_time', models.DateTimeField(help_text='\u5f00\u59cb\u65f6\u95f4\u4e00\u5230\u95ee\u5377\u4f1a\u88ab\u81ea\u52a8\u4e0a\u7ebf', verbose_name='\u5f00\u59cb\u65f6\u95f4')),
                ('end_time', models.DateTimeField(help_text='\u7ed3\u675f\u65f6\u95f4\u4e00\u5230\u95ee\u5377\u4f1a\u88ab\u81ea\u52a8\u4e0b\u7ebf', verbose_name='\u7ed3\u675f\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='surveys', to='saas.Party', verbose_name='\u56e2\u4f53')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='surveys', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'ordering': ('-is_active', 'title'),
                'verbose_name': '\u95ee\u5377',
                'verbose_name_plural': '\u95ee\u5377',
            },
        ),
        migrations.AddField(
            model_name='answer',
            name='survey',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='answers', to='survey.Survey'),
        ),
        migrations.AddField(
            model_name='answer',
            name='user',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, related_name='survey_answers', to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AlterUniqueTogether(
            name='answer',
            unique_together=set([('survey', 'user')]),
        ),
    ]
